Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class GroovyDocTemplateEngine

- org.codehaus.groovy.tools.groovydoc.GroovyDocTemplateEngine

-     public class GroovyDocTemplateEngine
      extends Object

  Process Groovydoc templates.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)` Creates a template engine with a resource manager, a single class-level template, and default properties.
    `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates, Properties properties)` Creates a template engine with separate sets of documentation, package, and class templates.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `copyBinaryResource(String template, String destFileName)` Copies a binary resource (image or Prism.js bundle) from the classpath to the given destination file path.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)

      Creates a template engine with a resource manager, a single class-level template, and default properties.

    - #### public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates, Properties properties)

      Creates a template engine with separate sets of documentation, package, and class templates.

  - ### Method Detail

    - #### public void copyBinaryResource(String template, String destFileName)

      Copies a binary resource (image or Prism.js bundle) from the classpath to the given destination file path.